/***********************************************************************
 * Entry.CPP
 *  
 *    Entry Point
 *
 *
 * Toby Opferman Copyright (c) 2003
 *
 ***********************************************************************/
 
 
 #include <windows.h>
 #include "leveleditorGUI.h"
 
 
 /***********************************************************************
  * WinMain
  *  
  *    Entry Point For WIN32 Applications
  *
  * Parameters
  *     Standard WIN32 Entry Point Parameters
  * 
  * Return Value
  *     Result of the program
  *
  ***********************************************************************/
 int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nShowCmd)
 {
     int iRetValue = 0xFF;
     HWND hWnd;

     if(MainGUI_RegisterClass(hInstance))
     {
         if(hWnd = MainGUI_CreateWindow(hInstance))
         {
             iRetValue = MainGUI_MessageLoop(hInstance, hWnd);
         }
     }
     
     return iRetValue;
 }





